PixelWave

Balance

Check your merchant balance

GET /balance

Returns your merchant balance in both the operation currency and balance currency.

Authentication

Authorization: Bearer YOUR_JWT_TOKEN

Example Request

curl -X GET 'https://api.admin-pixelwave.com/balance' \
  -H 'Authorization: Bearer YOUR_JWT_TOKEN' \
  -H 'Accept: application/json'

Success Response

{
  "result": {
    "status": "success",
    "x-request-id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "codeError": "none",
    "codeErrorExt": "none",
    "message": ""
  },
  "data": {
    "amountInCurrencyPayment": 500000,
    "amountInCurrencyBalance": 6250.00,
    "currencyBalance": "USDT",
    "currencyPayment": "RUB",
    "exchangeRate": 80.00
  },
  "totalNumberRecords": 0
}

Response Fields

FieldTypeDescription
amountInCurrencyPaymentdecimalBalance in the operation currency (e.g., RUB)
amountInCurrencyBalancedecimalBalance in the balance currency (e.g., USDT)
currencyBalancestringBalance currency code
currencyPaymentstringOperation currency code
exchangeRatedecimalCurrent exchange rate between the two currencies

Notes

  • Your balance is maintained in currencyBalance (typically USDT)
  • The amountInCurrencyPayment is a calculated value using the current exchange rate
  • Ensure sufficient balance before creating PayOut operations

On this page